org.apache.ignite.internal.processors.query

## Enum EnlistOperation

- java.lang.Object
- - java.lang.Enum<EnlistOperation>
  - - org.apache.ignite.internal.processors.query.EnlistOperation

All Implemented Interfaces:
  Serializable, Comparable<EnlistOperation>

    public enum EnlistOperation
    extends Enum<EnlistOperation>

Operations on entries which could be performed during transaction. Operations are used during SQL statements execution, but does not define exact SQL statements semantics. It is better to treat them independently and having their own semantics.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`DELETE` This operation deletes existing entry or does nothing if entry does not exist.
`INSERT` This operation creates entry if it does not exist or raises visible failure otherwise.
`LOCK` This operation locks existing entry protecting it from updates by other transactions or does notrhing if entry does not exist.
`TRANSFORM` This operation applies entry transformer.
`UPDATE` This operation modifies existing entry or does nothing if entry does not exist.
`UPSERT` This operation creates entry if it does not exist or modifies existing one otherwise.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`GridCacheOperation` `cacheOperation()`
`static EnlistOperation` `fromOrdinal(int ord)`
`boolean` `isDeleteOrLock()`
`boolean` `isInvoke()`
`boolean` `noCreate()` Indicates that an operation cannot create new row.
`static EnlistOperation` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnlistOperation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INSERT

    public static final EnlistOperation INSERT

This operation creates entry if it does not exist or raises visible failure otherwise.

#### UPSERT

    public static final EnlistOperation UPSERT

This operation creates entry if it does not exist or modifies existing one otherwise.

#### UPDATE

    public static final EnlistOperation UPDATE

This operation modifies existing entry or does nothing if entry does not exist.

#### DELETE

    public static final EnlistOperation DELETE

This operation deletes existing entry or does nothing if entry does not exist.

#### LOCK

    public static final EnlistOperation LOCK

This operation locks existing entry protecting it from updates by other transactions or does notrhing if entry does not exist.

#### TRANSFORM

    public static final EnlistOperation TRANSFORM

This operation applies entry transformer.

### Method Detail

#### values

    public static EnlistOperation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (EnlistOperation c : EnlistOperation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static EnlistOperation valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### cacheOperation

    public GridCacheOperation cacheOperation()

Returns:
  Corresponding Cache operation.

#### isDeleteOrLock

    public boolean isDeleteOrLock()

#### isInvoke

    public boolean isInvoke()

#### noCreate

    public boolean noCreate()

Indicates that an operation cannot create new row.

#### fromOrdinal

    @Nullable
    public static EnlistOperation fromOrdinal(int ord)

Parameters:
  `ord` - Ordinal value.
Returns:
  Enum value.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019